Skip to main content
GET
/
organizations
/
{organization_id}
/
invoices
List invoices
curl --request GET \
  --url {schemes}://api.upsun.com/organizations/{organization_id}/invoices \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "invoice_number": "<string>",
      "type": "invoice",
      "order_id": "<string>",
      "related_invoice_id": "<string>",
      "status": "paid",
      "owner": "<string>",
      "invoice_date": "2023-11-07T05:31:56Z",
      "invoice_due": "2023-11-07T05:31:56Z",
      "created": "2023-11-07T05:31:56Z",
      "changed": "2023-11-07T05:31:56Z",
      "company": "<string>",
      "total": 123,
      "address": {
        "country": "<string>",
        "name_line": "<string>",
        "premise": "<string>",
        "sub_premise": "<string>",
        "thoroughfare": "<string>",
        "administrative_area": "<string>",
        "sub_administrative_area": "<string>",
        "locality": "<string>",
        "dependent_locality": "<string>",
        "postal_code": "<string>"
      },
      "notes": "<string>",
      "invoice_pdf": {
        "url": "<string>",
        "status": "ready"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Path Parameters

organization_id
string
required

The ID of the organization.
Prefix with name= to retrieve the organization by name instead.

Query Parameters

filter[status]
enum<string>

The status of the invoice.

Available options:
paid,
charged_off,
pending,
refunded,
canceled,
refund_pending
filter[type]
enum<string>

The invoice type. Use invoice for standard invoices, credit_memo for refund/credit invoices.

Available options:
credit_memo,
invoice
filter[order_id]
string

The order id of Invoice.

page
integer<int32>

Page to be displayed. Defaults to 1.

Response

OK

items
object[]